Package org.eclipse.emf.cdo.edit

## Class CDOEditPlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.emf.cdo.edit.CDOEditPlugin

- All Implemented Interfaces:
    `org.eclipse.emf.common.util.Logger`, `org.eclipse.emf.common.util.ResourceLocator`

      public final class CDOEditPlugin
      extends org.eclipse.emf.common.EMFPlugin

  This is the central singleton for the Eresource edit plugin.
  Since:
    4.0
  Generated

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOEditPlugin.Implementation` | The actual implementation of the Eclipse Plugin.

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

      `org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper, org.eclipse.emf.common.EMFPlugin.OSGiDelegatingBundleActivator`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOEditPlugin` | `INSTANCE` | Keep track of the singleton.

    - ### Fields inherited from class org.eclipse.emf.common.EMFPlugin

      `delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_OSGI_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

    - ### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `baseURL, bundleLocalization, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOEditPlugin()` | Create the instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CDOEditPlugin.Implementation` | `getPlugin()` | Returns the singleton instance of the Eclipse plugin.
    `org.eclipse.emf.common.util.ResourceLocator` | `getPluginResourceLocator()` | Returns the singleton instance of the Eclipse plugin.

    - ### Methods inherited from class org.eclipse.emf.common.EMFPlugin

      `getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

    - ### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getBundleLocalization, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

      `getBaseURL, getImage, getString, getString, getString, getString`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOEditPlugin INSTANCE

      Keep track of the singleton.
      Generated

  - ### Constructor Detail

    - #### CDOEditPlugin

          public CDOEditPlugin()

      Create the instance.
      Generated
        NOT

  - ### Method Detail

    - #### getPluginResourceLocator

          public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

      Returns the singleton instance of the Eclipse plugin.
      Specified by:
        `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
      Returns:
        the singleton instance.
      Generated

    - #### getPlugin

          public static CDOEditPlugin.Implementation getPlugin()

      Returns the singleton instance of the Eclipse plugin.
      Returns:
        the singleton instance.
      Generated